GET /api/v3/energyproject/projectmanager

Searches for energy project managers by name

GetEnergyProjectManagerV3 Permissions: BuildingsAndOrganizations (View)
Use this endpoint to find users who can be assigned as project managers on energy projects. Results are filtered by the query string against user names. Requires Buildings and Organizations View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
query Free-text search string to match against project manager names string Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ProjectManagerResponse
Property Description Type
projectManagerCode The code for project manager string
projectManagerFullName The full name of project manager string
Example Response application/json
[
  {    "projectManagerCode": "string",    "projectManagerFullName": "string"
  }
]